"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _action = require("./utils/action");

const defaultState = {};

var _default = (state = defaultState, action) => {
  const successRegex = new RegExp(`${(0, _action.generateActionTypeSuccess)('read_list', '(.*)')}`);

  if (successRegex.test(action.type)) {
    // @todo modify next line to handle deep merge
    return Object.assign({}, state, action.payload);
  }

  return state;
};

exports.default = _default;